'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _when = require('rockey/when');

var _when2 = _interopRequireDefault(_when);

var _insert = require('rockey/insert');

var _insert2 = _interopRequireDefault(_insert);

var _condition = require('rockey/condition');

var _condition2 = _interopRequireDefault(_condition);

var _RockeyHoc = require('./RockeyHoc');

var _assignShorcuts = require('./assignShorcuts');

var _assignShorcuts2 = _interopRequireDefault(_assignShorcuts);

var _look = require('./look');

var _look2 = _interopRequireDefault(_look);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RootRockeyHoc = (0, _RockeyHoc.getRockeyHoc)();

RootRockeyHoc.look = _look2.default;
RootRockeyHoc.when = _when2.default;
RootRockeyHoc.condition = _condition2.default;
RootRockeyHoc.insert = _insert2.default;

(0, _assignShorcuts2.default)(RootRockeyHoc);

exports.default = RootRockeyHoc;